Package org.bukkit

# Class Registry.SimpleRegistry<T extends Enum<T> & Keyed>

java.lang.Object
org.bukkit.Registry.SimpleRegistry<T>

All Implemented Interfaces:
  `Iterable<T>`, `Registry<T>`

Enclosing interface:
  Registry<T extends Keyed>

public static final class Registry.SimpleRegistry<T extends Enum<T> & Keyed> extends Object implements Registry<T>

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.bukkit.Registry

`Registry.SimpleRegistry<T extends Enum<T> & Keyed>`

## Field Summary

### Fields inherited from interface org.bukkit.Registry

`ADVANCEMENT, ART, ATTRIBUTE, BIOME, BOSS_BARS, CONFIGURED_STRUCTURE, ENCHANTMENT, ENTITY_TYPE, FLUID, FROG_VARIANT, GAME_EVENT, LOOT_TABLES, MATERIAL, MEMORY_MODULE_TYPE, POTION_EFFECT_TYPE, SOUNDS, STATISTIC, STRUCTURE, STRUCTURE_TYPE, VILLAGER_PROFESSION, VILLAGER_TYPE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SimpleRegistry(@NotNull Class<T> type)`
`protected`
`SimpleRegistry(@NotNull Class<T> type, @NotNull Predicate<T> predicate)`

## Method Summary

Modifier and Type
Method
Description
`T`
`get(@NotNull NamespacedKey key)`
Get the object by its key.
`@NotNull Iterator<T>`
`iterator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### SimpleRegistry

protected SimpleRegistry(@NotNull @NotNull Class<T> type)

### SimpleRegistry

protected SimpleRegistry(@NotNull @NotNull Class<T> type, @NotNull @NotNull Predicate<T> predicate)

## Method Details

### get

@Nullable public T get(@NotNull @NotNull NamespacedKey key)
Description copied from interface: `Registry`
Get the object by its key.

Specified by:
  `get` in interface `Registry<T extends Enum<T> & Keyed>`
Parameters:
  `key` - non-null key
Returns:
  item or null if does not exist

### iterator

@NotNull public @NotNull Iterator<T> iterator()

Specified by:
  `iterator` in interface `Iterable<T extends Enum<T> & Keyed>`